Bug 1011949 - Both bpmn editors should align to the same file extension (.bpmn2 vs .bpmn)
Both bpmn editors should align to the same file extension (.bpmn2 vs .bpmn)
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ---
: 6.0.0
Assigned To: Robert (Bob) Brodt
Jiri Svitak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 08:39 EDT by Jiri Svitak
Modified: 2015-06-01 21:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Svitak 2013-09-25 08:39:03 EDT
Both bpmn editors should align to the same file extension (.bpmn2 vs .bpmn).
.bpmn2 is created by default by web designer and .bpmn by bpmn2 eclipse modeler. This should be solved, so the user who uses processes in both environments does not have to rename them.
Comment 1 Kris Verlaenen 2013-09-26 08:41:09 EDT
Afaik there should be no need to rename (as both environments should support both .bpmn and .bpmn2), but I agree they should probably use the same by default.
Comment 2 Jiri Svitak 2013-11-12 07:22:14 EST
BPMN2 Editor now uses .bpmn2 extension as a default.

Verified in BPMN2 Editor 1.0.0.201311042148, JBDS 7.0.1.GA (Build id: GA-v20130930-2238-B7).
Comment 3 Lukáš Petrovický 2014-02-07 11:15:00 EST
This BZ has been part of the 6.0.0 stream.

Note You need to log in before you can comment on or make changes to this bug.